Main Page Modules Data Structures File List Data Fields Globals Related Pages

# indexEntry_s Struct Reference

`#include <header_internal.h>`

## Data Fields
entryInfo_s | info
void * | data
int | length
int | rdlen

## Field Documentation

void* indexEntry_s::data

| Location of tag data. Definition at line 46 of file header_internal.h. Referenced by doHeaderUnload, headerAddEntry, headerAddI18NString, headerAppendEntry, headerDump, headerFindI18NString, headerFree, headerLoad, headerModifyEntry, headerRemoveEntry, offsetCmp, and regionSwab.

struct entryInfo_s indexEntry_s::info

| Description of tag data. Definition at line 45 of file header_internal.h. Referenced by doHeaderUnload, findEntry, headerAddEntry, headerAddI18NString, headerAppendEntry, headerCheck, headerDump, headerLoad, headerModifyEntry, headerNextIterator, headerReload, headerRemoveEntry, headerSizeof, indexCmp, intGetEntry, offsetCmp, regionSwab, and rpmReadSignature.

int indexEntry_s::length

| No. bytes of data. Definition at line 47 of file header_internal.h. Referenced by doHeaderUnload, headerAddEntry, headerAddI18NString, headerAppendEntry, headerFree, headerLoad, headerModifyEntry, headerRemoveEntry, headerSizeof, and regionSwab.

int indexEntry_s::rdlen

| No. bytes of data in region. Definition at line 48 of file header_internal.h. Referenced by doHeaderUnload, headerLoad, and regionSwab.

The documentation for this struct was generated from the following file:

- rpmdb/header_internal.h